import React from 'react';
import WithIcons from "./withProps";

function Support(props: any) {
  return (
    <svg {...props}
     xmlns="http://www.w3.org/2000/svg" 
      style={props.style}
      width={props.width}
      height={props.height}
    className={`bi bi-box ${props.className}`}
    viewBox="0 0 28 28">
      <g id="Group_69" data-name="Group 69" transform="translate(0.5 0.508)">
        <path id="Path_61" data-name="Path 61" d="M96.023,50.287a10.687,10.687,0,0,1,21.314-1.118,11.15,11.15,0,0,1,.056,1.118.324.324,0,0,0,.648,0,11.334,11.334,0,0,0-22.458-2.166,11.551,11.551,0,0,0-.208,2.166.324.324,0,0,0,.648,0Z" transform="translate(-92.943 -38.953)" fill="#0463ef" stroke="#0463ef" stroke-width="1"/>
        <path id="Path_62" data-name="Path 62" d="M18.968,350c-.007.157-.128.168-.277.168H17.424c-.129,0-.231-.035-.231-.17v-4.95c0-.087,0-.156.06-.2.087-.062.262-.037.386-.037H18.8c.114,0,.169.085.169.2v3.626q0,.683,0,1.366a.324.324,0,0,0,.648,0v-4.576a2.444,2.444,0,0,0-.039-.7.827.827,0,0,0-.8-.566H17.547a1.127,1.127,0,0,0-.621.125.98.98,0,0,0-.381.953v4.729a.83.83,0,0,0,.646.826,3.532,3.532,0,0,0,.724.019h.835a.836.836,0,0,0,.866-.816C19.634,349.578,18.986,349.58,18.968,350Zm24.454,0c-.007.157-.128.168-.277.168H41.878c-.129,0-.231-.035-.231-.17v-4.95c0-.087,0-.156.06-.2.087-.062.262-.037.386-.037h1.161c.114,0,.169.085.169.2V350a.324.324,0,0,0,.648,0v-4.576a2.445,2.445,0,0,0-.039-.7.827.827,0,0,0-.8-.566H42a1.127,1.127,0,0,0-.621.125.98.98,0,0,0-.381.953v4.729a.83.83,0,0,0,.646.826,3.533,3.533,0,0,0,.724.019H43.2A.836.836,0,0,0,44.07,350C44.088,349.578,43.44,349.58,43.422,350Zm-12.611,9.429a.9.9,0,0,1-.361.717,1,1,0,0,1-.63.171c-.43,0-.959.082-1.294-.193a.9.9,0,0,1,.1-1.454,1.078,1.078,0,0,1,.609-.128h.659a.9.9,0,0,1,.922.888.324.324,0,0,0,.648,0A1.56,1.56,0,0,0,30.05,357.9a5,5,0,0,0-.594-.007,4.3,4.3,0,0,0-.67.029,1.535,1.535,0,0,0,.295,3.041,6.709,6.709,0,0,0,1.138-.029,1.546,1.546,0,0,0,1.241-1.506A.324.324,0,0,0,30.811,359.425Z" transform="translate(-16.545 -334.744)" fill="#0463ef" stroke="#0463ef" stroke-width="1"/>
        <path id="Path_63" data-name="Path 63" d="M95.566,505.9a10.442,10.442,0,0,0,8.313,10.22.329.329,0,0,0,.4-.226.326.326,0,0,0-.226-.4,9.789,9.789,0,0,1-7.838-9.6.324.324,0,0,0-.648,0Z" transform="translate(-93.128 -491.193)" fill="#0463ef" stroke="#0463ef" stroke-width="1"/>
      </g>
    </svg>
  )
}

export default WithIcons(Support);